[Résolu] ORB, Erreur à l'ouverture de nouveaux rapports

Discussions sur le module de base de données Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers.
Les questions sur les macros doivent être postées dans la section dédiée en dessous.

Modérateur: Vilains modOOs

Règles du forum
Cette section est dédiée au module Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers. Vous ne devez pas poster ici de questions sur les macros mais utiliser la section éponyme.
Pour accélérer les réponses, vous pouvez mettre en ligne votre base en joignant un fichier ODB : comment faire.

[Résolu] ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar El_Brouno » 24 Nov 2018 09:32

Bonjour,

Sous Ubuntu 16.04 et Libre Office 6.0.6.2 je n'arrive plus ouvrir mes nouveaux rapports dans l'ancienne interface d'édition.
En plus, lorsque je double clique sur ces rapports j'ai le message suivant qui apparait :

Code : Tout sélectionner   AgrandirRéduire
Impossible d'ouvrir le document "RSuiviMatos_PRETPERSO2". caught a java.lang.IncompatibleClassChangeError


J'ai récemment installé Oracle Report Builder 1.2.1
Depuis, lorsque je créer un nouveau rapport, je n'ai plus accès à l'ancienne interface d'édition. Par contre lorsque je souhaite éditer un rapport que j'ai créer avant l'installation de ORB, elle s'ouvre. Je vous joins 2 captures d'écrans pour que ce soit plus parlant.

Pour voir, je suis passé à la version 6.1.3.2 récupérer sur le site officiel. En effet c'est mieux mais cette version n'est du tout stable sur mon OS.
En 15 mn de test j'ai essuyé 4 ou 5 crashs dans ORB. Quand j'ai voulu par exemple "Ajouter la date et l'heure dans le rapport" et "Ajouter le nombre de page dans le rapport".

Je préfère rester sur la 6.0.6.2,auriez vous une piste pour faire en sorte que je puisse accéder à l'ancienne interface d’édition même lorsque je créer un nouveau rapport ?

Merci
Bruno
Pièces jointes
Nouvelle interface.png
Capture de la nouvelle interface
Ancienne interface.png
Capture de l'ancienne interface
Dernière édition par El_Brouno le 24 Nov 2018 14:57, édité 1 fois.
Libre Office 6.1.3.2 sous Ubuntu 16.04 LTS et Libre Office 6.1.3.2 sous Mac OS 10.13.6
El_Brouno
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 80
Inscrit le : 28 Sep 2018 08:14

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar Piaf » 24 Nov 2018 12:12

Bonjour
El_Brouno a écrit:auriez vous une piste pour faire en sorte que je puisse accéder à l'ancienne interface d’édition même lorsque je créer un nouveau rapport ?
Il n'y a pas de piste, comme dis précédemment, ORB est inclus dans la version officielle de LibO.
A+
Libre Office Version: 6.1.6 et Apache OpenOffice 4.1.6 Sur Xubuntu 18.04 AMD64
Piaf
GourOOu
GourOOu
 
Message(s) : 5621
Inscrit le : 25 Nov 2011 19:07
Localisation : Guyane

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar El_Brouno » 24 Nov 2018 13:25

Comment expliquer alors que jusqu'à présent j'ai pu utiliser l'ancienne interface ?
Le choix d'ouverture de l'une ou l'autre doit bien pouvoir être décidé quelque part.

Qu'en penses tu ?

Merci
Bruno
Libre Office 6.1.3.2 sous Ubuntu 16.04 LTS et Libre Office 6.1.3.2 sous Mac OS 10.13.6
El_Brouno
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 80
Inscrit le : 28 Sep 2018 08:14

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar Piaf » 24 Nov 2018 13:47

Re
El_Brouno a écrit:Comment expliquer alors que jusqu'à présent j'ai pu utiliser l'ancienne interface ?
parce que ces rapports ont été créés avec une version ne disposant pas d'ORB.
A+
Libre Office Version: 6.1.6 et Apache OpenOffice 4.1.6 Sur Xubuntu 18.04 AMD64
Piaf
GourOOu
GourOOu
 
Message(s) : 5621
Inscrit le : 25 Nov 2011 19:07
Localisation : Guyane

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar El_Brouno » 24 Nov 2018 13:50

je comprends.
Tu sais où je peux trouver les détails de version pour Libre office.
J'aimerais bien downgrader vers une version non pourvu d'ORB.
Merci pour toutes tes interventions
Bruno
Libre Office 6.1.3.2 sous Ubuntu 16.04 LTS et Libre Office 6.1.3.2 sous Mac OS 10.13.6
El_Brouno
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 80
Inscrit le : 28 Sep 2018 08:14

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar jeanmimi » 24 Nov 2018 14:02

Les versions dépourvues d'ORB, ce sont les versions des dépôts, comme celle que tu avais eu par Ubuntu.
Les versions officielles ont intégré ORB depuis des années.
LibreOffice Version : Version: 6.2.4.2 (x64) (1 juin 2019)
Java (x64) 1.8.0_xxx, Windows 10, Thunderbird, Firefox
Avatar de l’utilisateur
jeanmimi
Grand Maître de l'OOffice
Grand Maître de l'OOffice
 
Message(s) : 14866
Inscrit le : 03 Mars 2006 17:02
Localisation : Venise verte

Re: [Base]ORB, Erreur à l'ouverture de nouveaux rapports

Messagepar El_Brouno » 24 Nov 2018 14:56

Merci jeanmimi,

j'ai trouvé mon bonheur avec la 5.1.6.2
:)

Bonne journée.
Bruno
Libre Office 6.1.3.2 sous Ubuntu 16.04 LTS et Libre Office 6.1.3.2 sous Mac OS 10.13.6
El_Brouno
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 80
Inscrit le : 28 Sep 2018 08:14


Retour vers Base de données

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 2 invité(s)